org.apache.ignite.internal.processors.odbc.jdbc

## Class JdbcTableMeta

- java.lang.Object
- - org.apache.ignite.internal.processors.odbc.jdbc.JdbcTableMeta

All Implemented Interfaces:
  JdbcRawBinarylizable

    public class JdbcTableMeta
    extends Object
    implements JdbcRawBinarylizable

JDBC table metadata.

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `equals(Object o)`
`int` `hashCode()`
`void` `readBinary(BinaryReaderExImpl reader, JdbcProtocolContext protoCtx)` Reads fields from provided reader.
`String` `schemaName()`
`String` `tableName()`
`String` `tableType()`
`String` `toString()`
`void` `writeBinary(BinaryWriterExImpl writer, JdbcProtocolContext protoCtx)` Writes fields to provided writer.

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Method Detail

#### schemaName

    public String schemaName()

Returns:
  Schema name.

#### tableName

    public String tableName()

Returns:
  Table name.

#### tableType

    public String tableType()

Returns:
  Table type.

#### writeBinary

    public void writeBinary(BinaryWriterExImpl writer,
                            JdbcProtocolContext protoCtx)
                     throws BinaryObjectException

Writes fields to provided writer.

Specified by:
  `writeBinary` in interface `JdbcRawBinarylizable`
Parameters:
  `writer` - Binary object writer.
  `protoCtx` - JDBC protocol context.
Throws:
  `BinaryObjectException` - In case of error.

#### readBinary

    public void readBinary(BinaryReaderExImpl reader,
                           JdbcProtocolContext protoCtx)
                    throws BinaryObjectException

Reads fields from provided reader.

Specified by:
  `readBinary` in interface `JdbcRawBinarylizable`
Parameters:
  `reader` - Binary object reader.
  `protoCtx` - JDBC protocol context.
Throws:
  `BinaryObjectException` - In case of error.

#### equals

    public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.9.0
Release Date | : October 15 2020